Saltar al contenido principal
GET
/
v1
/
reports
/
contexts
/
{contextId}
/
variance
List variance report
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/reports/contexts/{contextId}/variance \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "sourceId": "<string>",
      "currency": "<string>",
      "feeScheduleId": "550e8400-e29b-41d4-a716-446655440001",
      "feeScheduleName": "INTERCHANGE",
      "fee_type": "<string>",
      "totalExpected": "<string>",
      "totalActual": "<string>",
      "netVariance": "<string>",
      "variancePct": "<string>"
    }
  ],
  "pagination": {
    "next": "eyJpZCI6IjEyMyIsImRpcmVjdGlvbiI6Im5leHQifQ==",
    "prev": "eyJpZCI6IjEyMiIsImRpcmVjdGlvbiI6InByZXYifQ=="
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Bearer token authentication (format: "Bearer {token}")

Encabezados

X-Request-Id
string

A unique identifier for tracing the request across services.

Parámetros de ruta

contextId
string<uuid>
requerido

The unique identifier of the reconciliation context.

Parámetros de consulta

date_from
string<date>
requerido

Start date (YYYY-MM-DD)

date_to
string<date>
requerido

End date (YYYY-MM-DD)

source_id
string

Source ID filter

cursor
string

The cursor value for retrieving the next page of results.

limit
integer
predeterminado:20

The maximum number of items to include in the response.

Rango requerido: 1 <= x <= 200
sort_order
enum<string>
predeterminado:desc

Sort order by date

Opciones disponibles:
asc,
desc

Respuesta

Paginated variance analysis report

Cursor-paginated variance analysis report

items
object[]

List of variance report rows

pagination
object

Metadatos de paginación por cursor para endpoints de reporte. Ambos campos son tokens opacos (JSON codificado en base64); trátelos como strings y devuélvalos sin modificar en el parámetro cursor para navegar. Cadena vacía indica que no hay más páginas en esa dirección.